sku_id 、 spec_name 、 price 等字段必填状态和描述接口应在服务器端调用,不可在前端(小程序、网页、APP等)直接调用,具体可参考接口调用指南。
接口英文名:addproductthirdpartysource
POST https://api.weixin.qq.com/channels/ec/product/addproductthirdpartysource?access_token=ACCESS_TOKEN
本接口支持第三方平台代微信小店商家调用。第三方服务商调用模式介绍
该接口所属的权限集 id 为:129
服务商获得其中之一权限集授权后,可通过使用 authorizer_access_token 代微信小店商家进行调用,具体可查看 第三方调用 说明文档。
Query String Parameters| 参数名 | 类型 | 必填 | 示例 | 说明 |
|---|---|---|---|---|
| access_token | string | 是 | ACCESS_TOKEN | 接口调用凭证,可使用 access_token(微信小店商家)、authorizer_access_token(服务商代调用) |
Request Payload| 参数名 | 类型 | 必填 | 说明 | 枚举 |
|---|---|---|---|---|
| scene_value | number | 是 | 场景值 | 枚举值 |
| publish_method | number | 否 | 商品发布方式,scene_value == 3(其他场景) 时 必填 | 枚举值 |
| supplier | object | 是 | 货主 | - |
| supplier_shop_performance | object | 否 | 货主店铺经营表现 | - |
| product_source_info | object | 是 | 商品在货源平台的信息 | - |
Object Payload货主
| 参数名 | 类型 | 必填 | 说明 | 枚举 |
|---|---|---|---|---|
| supplier_name | string | 是 | 货主主体名称 | - |
| source_platform_type | number | 否 | 货源平台类型,scene_value == 1(分销铺货) 或 scene_value == 2(商品搬家) 必填 | 枚举值 |
| source_platform_name | string | 否 | 货源平台名称,scene_value == 1(分销铺货) 或 scene_value == 2(商品搬家) 必填,当scene_value == 3(其他场景) 时,需入参平台名称 | - |
Object Payload货主店铺经营表现
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| accept_rate_24h | number | 否 | 24h揽收率 |
| accept_rate_48h | number | 否 | 48h揽收率 |
| ship_count_30d | number | 否 | 近30天代发数量 |
| ship_count_7d | number | 否 | 近7天代发数量 |
| distribute_product_count | number | 否 | 铺货分销商数量 |
| on_time_ship_rate | number | 否 | 店铺准时发货率 |
| merchant_identity | string | 否 | 商家身份 |
Object Payload商品在货源平台的信息
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| visit_url | string | 是 | 可访问链接 |
| product_id | string | 是 | 商品ID |
| title | string | 是 | 标题 |
| head_img_urls | stringarray | 是 | 主图URL(含视频URL) |
| detail_img_urls | stringarray | 是 | 详情图URL |
| qualification_list | stringarray | 否 | 商品资质列表 |
| brand | string | 否 | 品牌 |
| attr_list | objarray | 否 | 属性列表 |
| sku_list | objarray | 是 | 规格列表 |
| detail_description | string | 否 | 详情描述 |
| logistics_info | object | 否 | 物流信息 |
| service_guarantee | string | 否 | 支持的服务保障功能 |
| delivery_time | string | 否 | 发货时效/承诺发货时间 |
Object Payload属性列表
| 参数名 | 类型 | 必填 | 说明 | 枚举 |
|---|---|---|---|---|
| attr_type | number | 否 | 属性类型 | 枚举值 |
| attr_name | string | 否 | 属性名称 | - |
| attr_value | string | 否 | 属性值 | - |
Object Payload规格列表
| 参数名 | 类型 | 必填 | 示例 | 说明 |
|---|---|---|---|---|
| sku_id | string | 是 | "" | sku ID |
| spec_name | string | 是 | "" | 规格名称 |
| spec_value | string | 是 | "" | 规格值 |
| sku_img | string | 是 | "" | sku图 |
| price | number | 是 | 0 | 价格 |
| stock | number | 是 | 0 | 库存 |
| stock_type | number | 是 | 0 | 库存类型 |
Object Payload物流信息
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| freight_info | string | 否 | 运费信息 |
| logistics_template | string | 否 | 物流模版 |
Response Payload| 参数名 | 类型 | 说明 |
|---|---|---|
| third_party_source_id | number | 货源id |
| errcode | number | 错误码 |
| errmsg | string | 错误信息 |
Enum场景值
| 枚举值 | 描述 |
|---|---|
| 1 | 分销铺货 |
| 2 | 商品搬家 |
| 3 | 其他场景 |
Enum商品发布方式,scene_value == 3(其他场景) 时 必填
| 枚举值 | 描述 |
|---|---|
| 1 | 资料包发布 |
| 2 | 系统发布 |
| 3 | 其他 |
Enum货源平台类型,scene_value == 1(分销铺货) 或 scene_value == 2(商品搬家) 必填
| 枚举值 | 描述 |
|---|---|
| 1 | 1688 |
| 2 | 拼多多 |
| 3 | 其他 |
Enum属性类型
| 枚举值 | 描述 |
|---|---|
| 1 | 文本 |
| 2 | 单选 |
| 3 | 多选 |
| 4 | 整数 |
| 5 | 小数 |
| 6 | 整数+单位 |
| 7 | 小数+单位 |
本接口无特殊注意事项
请求示例
{
"scene_value": 1,
"publish_method": 1,
"supplier": {
"supplier_name": "广州某某贸易有限公司",
"source_platform_type": 1,
"source_platform_name": "1688"
},
"supplier_shop_performance": {
"accept_rate_24h": 95,
"accept_rate_48h": 98,
"ship_count_30d": 500,
"ship_count_7d": 120,
"distribute_product_count": 50,
"on_time_ship_rate": 97,
"merchant_identity": "源头工厂"
},
"product_source_info": {
"visit_url": "https://detail.1688.com/offer/123456789.html",
"product_id": "123456789",
"title": "2026新款纯棉短袖T恤男女同款宽松圆领半袖",
"head_img_urls": [
"xxx",
"xxx",
"xxx"
],
"detail_img_urls": [
"xxx",
"xxx"
],
"qualification_list": [
"xxx",
"xxx"
],
"brand": "xxx",
"attr_list": [
{
"attr_type": 1,
"attr_name": "面料材质",
"attr_value": "纯棉"
},
{
"attr_type": 2,
"attr_name": "适用季节",
"attr_value": "夏季"
},
{
"attr_type": 2,
"attr_name": "领型",
"attr_value": "圆领"
},
{
"attr_type": 6,
"attr_name": "克重",
"attr_value": "230g"
},
{
"attr_type": 1,
"attr_name": "袖型",
"attr_value": "常规袖"
}
],
"sku_list": [
{
"sku_id": "sku_white_s",
"spec_name": "颜色",
"spec_value": "白色-S",
"sku_img": "https://mmecimage.cn/p/wxc16458b33be42c61/sku_white.jpg",
"price": 5900,
"stock": 200,
"stock_type": 1
},
{
"sku_id": "sku_white_m",
"spec_name": "颜色",
"spec_value": "白色-M",
"sku_img": "https://mmecimage.cn/p/wxc16458b33be42c61/sku_white.jpg",
"price": 5900,
"stock": 350,
"stock_type": 1
},
{
"sku_id": "sku_black_s",
"spec_name": "颜色",
"spec_value": "黑色-S",
"sku_img": "https://mmecimage.cn/p/xxx/sku_black.jpg",
"price": 5900,
"stock": 180,
"stock_type": 1
},
{
"sku_id": "sku_black_m",
"spec_name": "颜色",
"spec_value": "黑色-M",
"sku_img": "https://mmecimage.cn/p/xxx/sku_black.jpg",
"price": 5900,
"stock": 420,
"stock_type": 1
},
{
"sku_id": "sku_grey_l",
"spec_name": "颜色",
"spec_value": "灰色-L",
"sku_img": "https://mmecimage.cn/p/xxx/sku_grey.jpg",
"price": 6900,
"stock": 100,
"stock_type": 1
}
],
"detail_description": "面料采用新疆长绒棉,克重230g,亲肤透气不易变形。宽松版型,男女同款,适合日常通勤休闲穿搭。",
"logistics_info": {
"freight_info": "满99包邮",
"logistics_template": "全国包邮(偏远地区除外)"
},
"service_guarantee": "7天无理由退换,正品保障,极速退款",
"delivery_time": "24小时内发货"
}
}
返回示例
{
"third_party_source_id": 12345,
"errcode": 0,
"errmsg": ""
}
此接口没有特殊错误码,可参考 通用错误码;调用接口遇到报错,可使用官方提供的 API 诊断工具 辅助定位和分析问题。
本接口支持「微信小店」账号类型调用。其他账号类型如无特殊说明,均不可调用。
sku_id 、 spec_name 、 price 等字段必填状态和描述publish_method 、 source_platform_type 、 source_platform_name 字段描述